QColorDrag(3qt)

NAME
QColorDrag - Drag and drop object for transferring colors

SYNOPSIS
#include <qdragobject.h>

Inherits QStoredDrag.

  Public Members
QColorDrag ( const QColor & col, QWidget * dragsource = 0, const char * name = 0 )
QColorDrag ( QWidget * dragsource = 0, const char * name = 0 )
void setColor ( const QColor & col )

  Static Public Members
bool canDecode ( QMimeSource * e )
bool decode ( QMimeSource * e, QColor & col )

DESCRIPTION
The QColorDrag class provides a drag and drop object for transferring colors.

This class provides a drag object which can be used to transfer data about colors for drag and drop and in the clipboard. For example, it is used in QColorDialog.

The color is set in the constructor but can be changed with setColor().

For more information about drag and drop, see the QDragObject class and the drag and drop documentation.

See also Drag And Drop Classes.

MEMBER FUNCTION DOCUMENTATION

QColorDrag::QColorDrag ( const QColor & col, QWidget * dragsource = 0, const char * name = 0 )
Constructs a color drag object with the color col. Passes dragsource and name to the QStoredDrag constructor.

QColorDrag::QColorDrag ( QWidget * dragsource = 0, const char * name = 0 )
Constructs a color drag object with a white color. Passes dragsource and name to the QStoredDrag constructor.

bool QColorDrag::canDecode ( QMimeSource * e ) [static]
Returns TRUE if the color drag object can decode the mime source e; otherwise returns FALSE.

bool QColorDrag::decode ( QMimeSource * e, QColor & col ) [static]
Decodes the mime source e and sets the decoded values to col.

void QColorDrag::setColor ( const QColor & col )
Sets the color of the color drag to col.

SEE ALSO
http://doc.trolltech.com/qcolordrag.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qcolordrag.3qt) and the Qt version (3.1.0-b2).